Subject: Re: [RFC PATCH V2 3/3] Ixgbevf: Add migration support for ixgbevf driver

From: Lan Tianyu <[email-masked]>
Date: Wed, 25 Nov 2015 13:39:32 +0800

On 2015年11月25日 05:20, Michael S. Tsirkin wrote:
> I have to say, I was much more interested in the idea
> of tracking dirty memory. I have some thoughts about
> that one - did you give up on it then?

No, our finial target is to keep VF active before doing
migration and tracking dirty memory is essential. But this
seems not easy to do that in short term for upstream. As
starters, stop VF before migration.

After deep thinking, the way of stopping VF still needs tracking
DMA-accessed dirty memory to make sure the received data buffer
before stopping VF migrated. It's easier to do that via dummy writing
data buffer when receive packet.

-- 
Best regards
Tianyu Lan